cmdargs

System.Console.CmdArgs.Implicit.Local

Description

This module takes the result of Capture, and deals with all the local constraints.

# Documentation

local :: Capture Ann -> Prog_

err :: [Char] -> [Char] -> t

data Prog_

Constructors

Prog_ |

Fields

progModes :: [Mode_]
progSummary :: Maybe [String]
progProgram :: String
progHelp :: String
progVerbosityArgs :: (Maybe Builtin_, Maybe Builtin_)
progHelpArg :: Maybe Builtin_
progVersionArg :: Maybe Builtin_

Instances

Show Prog_ |
Default Prog_ |

data Builtin_

Constructors

Builtin_ |

Fields

builtinNames :: [String]
builtinExplicit :: Bool
builtinHelp :: Maybe String
builtinGroup :: Maybe String
builtinSummary :: Maybe [String]

Instances

Show Builtin_ |
Default Builtin_ |

data Mode_

Constructors

Mode_ |

Fields

modeFlags_ :: [Flag_]
modeMode :: Mode (CmdArgs Any)
modeDefault :: Bool
modeGroup :: Maybe String
modeExplicit :: Bool

Instances

Show Mode_ |
Default Mode_ |

data Flag_

Constructors

Flag_ |

Fields

flagField :: String
flagFlag :: Flag (CmdArgs Any)
flagExplicit :: Bool
flagGroup :: Maybe String
flagEnum :: Maybe String

Arg_ |

Fields

flagArg_ :: Arg (CmdArgs Any)
flagArgPos :: Maybe Int
flagArgOpt :: Maybe String

Instances

Show Flag_ |
Default Flag_ |

isFlag_ :: Flag_ -> Bool

progHelpOutput :: Prog_ -> [[Char]]

progVersionOutput :: Prog_ -> [[Char]]